Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Crystall Bondad applied on Indeed
From: "Crystall Bondad" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Wed, 18 Jan 2023 02:07:21 -0600 (CST)

Hello Aishwarya, I still have not filled out the form since I am waiting for your instructions and aside from my questions on the recent email, may I also know if you still need people for this campaign? It's because ilI have a friend that I can recommend. I will be waiting for your response. Thanks, Crystall

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C41fad7a7-e6b2-44ac-a796-f81008c15b9b%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.